com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable

## Interface DecisiontablePackage.Literals

- Enclosing interface:
    DecisiontablePackage

      public static interface DecisiontablePackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.emf.ecore.EClass` | `ACTION_ITEM` The meta object literal for the '`Action Item`' class
    `static org.eclipse.emf.ecore.EAttribute` | `ACTION_ITEM__DISABLED` The meta object literal for the 'Disabled' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `ACTION_ITEM__EXPRESSION_CELL` The meta object literal for the 'Expression Cell' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `ACTION_ITEM__NATURAL_LANGUAGE_TEXT` The meta object literal for the 'Natural Language Text' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `ACTION_ITEM__ROW_HEIGHT` The meta object literal for the 'Row Height' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `ACTION_ITEM__VALUE_SET_CELL` The meta object literal for the 'Value Set Cell' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `ACTION_SECTION` The meta object literal for the '`Action Section`' class
    `static org.eclipse.emf.ecore.EReference` | `ACTION_SECTION__ACTION_ITEM_LIST` The meta object literal for the 'Action Item List' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `ACTION_SECTION__COLUMN_WIDTH_FACTOR` The meta object literal for the 'Column Width Factor' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `ACTION_SECTION__ROW_COUNT` The meta object literal for the 'Row Count' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `ACTION_SECTION__SCROLL_ROW_TOP` The meta object literal for the 'Scroll Row Top' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `ACTION_VALUE_SET_CELL` The meta object literal for the '`Action Value Set Cell`' class
    `static org.eclipse.emf.ecore.EReference` | `ACTION_VALUE_SET_CELL__ACTION` The meta object literal for the 'Action' reference feature
    `static org.eclipse.emf.ecore.EClass` | `AMBIGUITY` The meta object literal for the '`Ambiguity`' class
    `static org.eclipse.emf.ecore.EReference` | `AMBIGUITY__AMBIGUOUS_RULE_COLUMNS` The meta object literal for the 'Ambiguous Rule Columns' reference list feature
    `static org.eclipse.emf.ecore.EClass` | `CELL` The meta object literal for the '`Cell`' class
    `static org.eclipse.emf.ecore.EReference` | `CELL__PARSER_OUTPUT` The meta object literal for the 'Parser Output' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `CELL__TOOLTIP` The meta object literal for the 'Tooltip' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `CONDITION_ITEM` The meta object literal for the '`Condition Item`' class
    `static org.eclipse.emf.ecore.EAttribute` | `CONDITION_ITEM__COMPLETE_VALUE_SET` The meta object literal for the 'Complete Value Set' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `CONDITION_ITEM__DISABLED` The meta object literal for the 'Disabled' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `CONDITION_ITEM__EXPRESSION_CELL` The meta object literal for the 'Expression Cell' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `CONDITION_ITEM__NATURAL_LANGUAGE_TEXT` The meta object literal for the 'Natural Language Text' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `CONDITION_ITEM__PRECONDITION` The meta object literal for the 'Precondition' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `CONDITION_ITEM__PREEXPAND_OTHER` The meta object literal for the 'Preexpand Other' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `CONDITION_ITEM__ROW_HEIGHT` The meta object literal for the 'Row Height' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `CONDITION_ITEM__VALUE_SET_CELL` The meta object literal for the 'Value Set Cell' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `CONDITION_ITEM__VARIABLE_MODE` The meta object literal for the 'Variable Mode' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `CONDITION_ITEM__VARIABLE_REFERENCE` The meta object literal for the 'Variable Reference' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `CONDITION_SECTION` The meta object literal for the '`Condition Section`' class
    `static org.eclipse.emf.ecore.EAttribute` | `CONDITION_SECTION__COLUMN_WIDTH_FACTOR` The meta object literal for the 'Column Width Factor' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `CONDITION_SECTION__CONDITION_ITEM_LIST` The meta object literal for the 'Condition Item List' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `CONDITION_SECTION__ROW_COUNT` The meta object literal for the 'Row Count' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `CONDITION_SECTION__SCROLL_ROW_TOP` The meta object literal for the 'Scroll Row Top' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `CONDITION_VALUE_SET_CELL` The meta object literal for the '`Condition Value Set Cell`' class
    `static org.eclipse.emf.ecore.EReference` | `CONDITION_VALUE_SET_CELL__CONDITION` The meta object literal for the 'Condition' reference feature
    `static org.eclipse.emf.ecore.EClass` | `DECISION_TABLE` The meta object literal for the '`Decision Table`' class
    `static org.eclipse.emf.ecore.EReference` | `DECISION_TABLE__ACTION_SECTION` The meta object literal for the 'Action Section' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `DECISION_TABLE__ADVANCED` The meta object literal for the 'Advanced' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `DECISION_TABLE__CONDITION_SECTION` The meta object literal for the 'Condition Section' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `DECISION_TABLE__FILTER_SECTION` The meta object literal for the 'Filter Section' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `DECISION_TABLE__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `DECISION_TABLE__NATURAL_LANGUAGE_DISPLAY` The meta object literal for the 'Natural Language Display' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `DECISION_TABLE__PRULESET` The meta object literal for the 'PRuleset' reference feature
    `static org.eclipse.emf.ecore.EReference` | `DECISION_TABLE__RULE_SECTION` The meta object literal for the 'Rule Section' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `DECISION_TABLE__RULE_STATEMENT_SECTION` The meta object literal for the 'Rule Statement Section' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `DECISION_TABLE__SASH_WEIGHT_ADVANCED_VIEW` The meta object literal for the 'Sash Weight Advanced View' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `DECISION_TABLE__SASH_WEIGHT_CONDITIONS_ACTIONS` The meta object literal for the 'Sash Weight Conditions Actions' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `DECISION_TABLE__SASH_WEIGHT_CONDITIONS_IF` The meta object literal for the 'Sash Weight Conditions If' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `DECISION_TABLE__SASH_WEIGHT_SCOPE` The meta object literal for the 'Sash Weight Scope' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `DECISION_TABLE__SCOPE_SECTION` The meta object literal for the 'Scope Section' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `DECISION_TABLE__SELECTION` The meta object literal for the 'Selection' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `EXPRESSION_CELL` The meta object literal for the '`Expression Cell`' class
    `static org.eclipse.emf.ecore.EAttribute` | `EXPRESSION_CELL__EXTERNAL` The meta object literal for the 'External' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `FILTER_ITEM` The meta object literal for the '`Filter Item`' class
    `static org.eclipse.emf.ecore.EAttribute` | `FILTER_ITEM__DISABLED` The meta object literal for the 'Disabled' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `FILTER_ITEM__EXPRESSION_CELL` The meta object literal for the 'Expression Cell' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `FILTER_ITEM__FILTER` The meta object literal for the 'Filter' reference feature
    `static org.eclipse.emf.ecore.EClass` | `FILTER_SECTION` The meta object literal for the '`Filter Section`' class
    `static org.eclipse.emf.ecore.EReference` | `FILTER_SECTION__FILTER_ITEM_LIST` The meta object literal for the 'Filter Item List' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `FILTER_SECTION__ROW_COUNT` The meta object literal for the 'Row Count' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `FILTER_SECTION__SCROLL_ROW_TOP` The meta object literal for the 'Scroll Row Top' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `OPTIMIZER_RESULTS` The meta object literal for the '`Optimizer Results`' class
    `static org.eclipse.emf.ecore.EAttribute` | `OPTIMIZER_RESULTS__AMBIGUITY_FILTER` The meta object literal for the 'Ambiguity Filter' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `OPTIMIZER_RESULTS__AMBIGUITY_INDEX` The meta object literal for the 'Ambiguity Index' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `OPTIMIZER_RESULTS__AMBIGUITY_LIST` The meta object literal for the 'Ambiguity List' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `OPTIMIZER_RESULTS__COMPLETENESS_CHECK_RULE_COLUMNS` The meta object literal for the 'Completeness Check Rule Columns' reference list feature
    `static org.eclipse.emf.ecore.EClass` | `RULE_COLUMN` The meta object literal for the '`Rule Column`' class
    `static org.eclipse.emf.ecore.EReference` | `RULE_COLUMN__ACTION_VALUE_SET_CELL_LIST` The meta object literal for the 'Action Value Set Cell List' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_COLUMN__COLUMN_WIDTH` The meta object literal for the 'Column Width' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `RULE_COLUMN__CONDITION_VALUE_SET_CELL_LIST` The meta object literal for the 'Condition Value Set Cell List' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_COLUMN__DISABLED` The meta object literal for the 'Disabled' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_COLUMN__NON_CONDITIONAL` The meta object literal for the 'Non Conditional' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `RULE_COLUMN__OVERRIDE_VALUE_SET_CELL` The meta object literal for the 'Override Value Set Cell' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `RULE_COLUMN__PRULE` The meta object literal for the 'PRule' reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_COLUMN__RULE_ID` The meta object literal for the 'Rule Id' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `RULE_SECTION` The meta object literal for the '`Rule Section`' class
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_SECTION__COLUMN_COUNT` The meta object literal for the 'Column Count' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `RULE_SECTION__OPTIMIZER_RESULTS` The meta object literal for the 'Optimizer Results' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `RULE_SECTION__RULE_COLUMN_LIST` The meta object literal for the 'Rule Column List' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_SECTION__SCROLL_COLUMN_LEFT` The meta object literal for the 'Scroll Column Left' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `RULE_STATEMENT_ITEM` The meta object literal for the '`Rule Statement Item`' class
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_STATEMENT_ITEM__DISABLED` The meta object literal for the 'Disabled' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `RULE_STATEMENT_ITEM__REFERENCE` The meta object literal for the 'Reference' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_STATEMENT_ITEM__ROW_HEIGHT` The meta object literal for the 'Row Height' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `RULE_STATEMENT_ITEM__RULE_STATEMENT` The meta object literal for the 'Rule Statement' reference feature
    `static org.eclipse.emf.ecore.EReference` | `RULE_STATEMENT_ITEM__TEXT` The meta object literal for the 'Text' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `RULE_STATEMENT_SECTION` The meta object literal for the '`Rule Statement Section`' class
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_STATEMENT_SECTION__COLUMN_WIDTH_ALIAS` The meta object literal for the 'Column Width Alias' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_STATEMENT_SECTION__COLUMN_WIDTH_CATEGORY` The meta object literal for the 'Column Width Category' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_STATEMENT_SECTION__COLUMN_WIDTH_COMMENTS` The meta object literal for the 'Column Width Comments' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_STATEMENT_SECTION__COLUMN_WIDTH_ID` The meta object literal for the 'Column Width ID' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_STATEMENT_SECTION__COLUMN_WIDTH_POST_SEVERITY` The meta object literal for the 'Column Width Post Severity' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_STATEMENT_SECTION__COLUMN_WIDTH_REFERENCE` The meta object literal for the 'Column Width Reference' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_STATEMENT_SECTION__COLUMN_WIDTH_RULE_LINK` The meta object literal for the 'Column Width Rule Link' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_STATEMENT_SECTION__COLUMN_WIDTH_RULE_NAME` The meta object literal for the 'Column Width Rule Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_STATEMENT_SECTION__COLUMN_WIDTH_SOURCE_LINK` The meta object literal for the 'Column Width Source Link' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_STATEMENT_SECTION__COLUMN_WIDTH_SOURCE_NAME` The meta object literal for the 'Column Width Source Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_STATEMENT_SECTION__COLUMN_WIDTH_TEXT` The meta object literal for the 'Column Width Text' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_STATEMENT_SECTION__ROW_COUNT` The meta object literal for the 'Row Count' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `RULE_STATEMENT_SECTION__RULE_STATEMENT_ITEM_LIST` The meta object literal for the 'Rule Statement Item List' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_STATEMENT_SECTION__SCROLL_ROW_TOP` The meta object literal for the 'Scroll Row Top' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `SCOPE_ALIAS` The meta object literal for the '`Scope Alias`' class
    `static org.eclipse.emf.ecore.EAttribute` | `SCOPE_ALIAS__ALIAS` The meta object literal for the 'Alias' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `SCOPE_ALIAS__LOGICAL_VARIABLE` The meta object literal for the 'Logical Variable' reference feature
    `static org.eclipse.emf.ecore.EClass` | `SCOPE_ASSOCIATION` The meta object literal for the '`Scope Association`' class
    `static org.eclipse.emf.ecore.EClass` | `SCOPE_ATTRIBUTE` The meta object literal for the '`Scope Attribute`' class
    `static org.eclipse.emf.ecore.EReference` | `SCOPE_ATTRIBUTE__EATTRIBUTE` The meta object literal for the 'EAttribute' reference feature
    `static org.eclipse.emf.ecore.EReference` | `SCOPE_ATTRIBUTE__REFERENCED_ATTRIBUTE` The meta object literal for the 'Referenced Attribute' reference feature
    `static org.eclipse.emf.ecore.EClass` | `SCOPE_ENTITY` The meta object literal for the '`Scope Entity`' class
    `static org.eclipse.emf.ecore.EClass` | `SCOPE_FILTER` The meta object literal for the '`Scope Filter`' class
    `static org.eclipse.emf.ecore.EAttribute` | `SCOPE_FILTER__EXPRESSION` The meta object literal for the 'Expression' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `SCOPE_FILTER__FILTER` The meta object literal for the 'Filter' reference feature
    `static org.eclipse.emf.ecore.EClass` | `SCOPE_FOLDER` The meta object literal for the '`Scope Folder`' class
    `static org.eclipse.emf.ecore.EClass` | `SCOPE_NODE` The meta object literal for the '`Scope Node`' class
    `static org.eclipse.emf.ecore.EAttribute` | `SCOPE_NODE__BACKUP_INFO` The meta object literal for the 'Backup Info' attribute list feature
    `static org.eclipse.emf.ecore.EReference` | `SCOPE_NODE__CHILDREN` The meta object literal for the 'Children' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `SCOPE_NODE__DESCENDENT` The meta object literal for the 'Descendent' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `SCOPE_NODE__EXPANDED` The meta object literal for the 'Expanded' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `SCOPE_NODE__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `SCOPE_NODE__PARENT` The meta object literal for the 'Parent' container reference feature
    `static org.eclipse.emf.ecore.EClass` | `SCOPE_SECTION` The meta object literal for the '`Scope Section`' class
    `static org.eclipse.emf.ecore.EReference` | `SCOPE_SECTION__ROOT_NODE` The meta object literal for the 'Root Node' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `SCOPE_SORTED_ALIAS` The meta object literal for the '`Scope Sorted Alias`' class
    `static org.eclipse.emf.ecore.EAttribute` | `SCOPE_SORTED_ALIAS__OPERATOR_ID` The meta object literal for the 'Operator ID' attribute feature
    `static org.eclipse.emf.ecore.EDataType` | `SELECTION` The meta object literal for the 'Selection' data type
    `static org.eclipse.emf.ecore.EDataType` | `VALUE_SET` The meta object literal for the 'Value Set' data type
    `static org.eclipse.emf.ecore.EClass` | `VALUE_SET_CELL` The meta object literal for the '`Value Set Cell`' class
    `static org.eclipse.emf.ecore.EAttribute` | `VALUE_SET_CELL__VALUE_SET` The meta object literal for the 'Value Set' attribute feature
    `static org.eclipse.emf.ecore.EEnum` | `VARIABLE_MODE` The meta object literal for the '`Variable Mode`' enum

- - ### Field Detail

    - #### ACTION_ITEM

          static final org.eclipse.emf.ecore.EClass ACTION_ITEM

      The meta object literal for the '`Action Item`' class.
      See Also:
        `ActionItemImpl`, `DecisiontablePackageImpl.getActionItem()`

    - #### ACTION_ITEM__DISABLED

          static final org.eclipse.emf.ecore.EAttribute ACTION_ITEM__DISABLED

      The meta object literal for the 'Disabled' attribute feature.

    - #### ACTION_ITEM__ROW_HEIGHT

          static final org.eclipse.emf.ecore.EAttribute ACTION_ITEM__ROW_HEIGHT

      The meta object literal for the 'Row Height' attribute feature.

    - #### ACTION_ITEM__NATURAL_LANGUAGE_TEXT

          static final org.eclipse.emf.ecore.EReference ACTION_ITEM__NATURAL_LANGUAGE_TEXT

      The meta object literal for the 'Natural Language Text' containment reference list feature.

    - #### ACTION_ITEM__VALUE_SET_CELL

          static final org.eclipse.emf.ecore.EReference ACTION_ITEM__VALUE_SET_CELL

      The meta object literal for the 'Value Set Cell' containment reference feature.

    - #### ACTION_ITEM__EXPRESSION_CELL

          static final org.eclipse.emf.ecore.EReference ACTION_ITEM__EXPRESSION_CELL

      The meta object literal for the 'Expression Cell' containment reference feature.

    - #### ACTION_SECTION

          static final org.eclipse.emf.ecore.EClass ACTION_SECTION

      The meta object literal for the '`Action Section`' class.
      See Also:
        `ActionSectionImpl`, `DecisiontablePackageImpl.getActionSection()`

    - #### ACTION_SECTION__ROW_COUNT

          static final org.eclipse.emf.ecore.EAttribute ACTION_SECTION__ROW_COUNT

      The meta object literal for the 'Row Count' attribute feature.

    - #### ACTION_SECTION__SCROLL_ROW_TOP

          static final org.eclipse.emf.ecore.EAttribute ACTION_SECTION__SCROLL_ROW_TOP

      The meta object literal for the 'Scroll Row Top' attribute feature.

    - #### ACTION_SECTION__COLUMN_WIDTH_FACTOR

          static final org.eclipse.emf.ecore.EAttribute ACTION_SECTION__COLUMN_WIDTH_FACTOR

      The meta object literal for the 'Column Width Factor' attribute feature.

    - #### ACTION_SECTION__ACTION_ITEM_LIST

          static final org.eclipse.emf.ecore.EReference ACTION_SECTION__ACTION_ITEM_LIST

      The meta object literal for the 'Action Item List' containment reference list feature.

    - #### CELL

          static final org.eclipse.emf.ecore.EClass CELL

      The meta object literal for the '`Cell`' class.
      See Also:
        `CellImpl`, `DecisiontablePackageImpl.getCell()`

    - #### CELL__TOOLTIP

          static final org.eclipse.emf.ecore.EAttribute CELL__TOOLTIP

      The meta object literal for the 'Tooltip' attribute feature.

    - #### CELL__PARSER_OUTPUT

          static final org.eclipse.emf.ecore.EReference CELL__PARSER_OUTPUT

      The meta object literal for the 'Parser Output' containment reference feature.

    - #### CONDITION_ITEM

          static final org.eclipse.emf.ecore.EClass CONDITION_ITEM

      The meta object literal for the '`Condition Item`' class.
      See Also:
        `ConditionItemImpl`, `DecisiontablePackageImpl.getConditionItem()`

    - #### CONDITION_ITEM__PRECONDITION

          static final org.eclipse.emf.ecore.EAttribute CONDITION_ITEM__PRECONDITION

      The meta object literal for the 'Precondition' attribute feature.

    - #### CONDITION_ITEM__DISABLED

          static final org.eclipse.emf.ecore.EAttribute CONDITION_ITEM__DISABLED

      The meta object literal for the 'Disabled' attribute feature.

    - #### CONDITION_ITEM__ROW_HEIGHT

          static final org.eclipse.emf.ecore.EAttribute CONDITION_ITEM__ROW_HEIGHT

      The meta object literal for the 'Row Height' attribute feature.

    - #### CONDITION_ITEM__PREEXPAND_OTHER

          static final org.eclipse.emf.ecore.EAttribute CONDITION_ITEM__PREEXPAND_OTHER

      The meta object literal for the 'Preexpand Other' attribute feature.

    - #### CONDITION_ITEM__VARIABLE_MODE

          static final org.eclipse.emf.ecore.EAttribute CONDITION_ITEM__VARIABLE_MODE

      The meta object literal for the 'Variable Mode' attribute feature.

    - #### CONDITION_ITEM__VARIABLE_REFERENCE

          static final org.eclipse.emf.ecore.EReference CONDITION_ITEM__VARIABLE_REFERENCE

      The meta object literal for the 'Variable Reference' containment reference feature.

    - #### CONDITION_ITEM__COMPLETE_VALUE_SET

          static final org.eclipse.emf.ecore.EAttribute CONDITION_ITEM__COMPLETE_VALUE_SET

      The meta object literal for the 'Complete Value Set' attribute feature.

    - #### CONDITION_ITEM__NATURAL_LANGUAGE_TEXT

          static final org.eclipse.emf.ecore.EReference CONDITION_ITEM__NATURAL_LANGUAGE_TEXT

      The meta object literal for the 'Natural Language Text' containment reference list feature.

    - #### CONDITION_ITEM__VALUE_SET_CELL

          static final org.eclipse.emf.ecore.EReference CONDITION_ITEM__VALUE_SET_CELL

      The meta object literal for the 'Value Set Cell' containment reference feature.

    - #### CONDITION_ITEM__EXPRESSION_CELL

          static final org.eclipse.emf.ecore.EReference CONDITION_ITEM__EXPRESSION_CELL

      The meta object literal for the 'Expression Cell' containment reference feature.

    - #### CONDITION_SECTION

          static final org.eclipse.emf.ecore.EClass CONDITION_SECTION

      The meta object literal for the '`Condition Section`' class.
      See Also:
        `ConditionSectionImpl`, `DecisiontablePackageImpl.getConditionSection()`

    - #### CONDITION_SECTION__ROW_COUNT

          static final org.eclipse.emf.ecore.EAttribute CONDITION_SECTION__ROW_COUNT

      The meta object literal for the 'Row Count' attribute feature.

    - #### CONDITION_SECTION__SCROLL_ROW_TOP

          static final org.eclipse.emf.ecore.EAttribute CONDITION_SECTION__SCROLL_ROW_TOP

      The meta object literal for the 'Scroll Row Top' attribute feature.

    - #### CONDITION_SECTION__COLUMN_WIDTH_FACTOR

          static final org.eclipse.emf.ecore.EAttribute CONDITION_SECTION__COLUMN_WIDTH_FACTOR

      The meta object literal for the 'Column Width Factor' attribute feature.

    - #### CONDITION_SECTION__CONDITION_ITEM_LIST

          static final org.eclipse.emf.ecore.EReference CONDITION_SECTION__CONDITION_ITEM_LIST

      The meta object literal for the 'Condition Item List' containment reference list feature.

    - #### EXPRESSION_CELL

          static final org.eclipse.emf.ecore.EClass EXPRESSION_CELL

      The meta object literal for the '`Expression Cell`' class.
      See Also:
        `ExpressionCellImpl`, `DecisiontablePackageImpl.getExpressionCell()`

    - #### EXPRESSION_CELL__EXTERNAL

          static final org.eclipse.emf.ecore.EAttribute EXPRESSION_CELL__EXTERNAL

      The meta object literal for the 'External' attribute feature.

    - #### SCOPE_ASSOCIATION

          static final org.eclipse.emf.ecore.EClass SCOPE_ASSOCIATION

      The meta object literal for the '`Scope Association`' class.
      See Also:
        `ScopeAssociationImpl`, `DecisiontablePackageImpl.getScopeAssociation()`

    - #### SCOPE_ATTRIBUTE

          static final org.eclipse.emf.ecore.EClass SCOPE_ATTRIBUTE

      The meta object literal for the '`Scope Attribute`' class.
      See Also:
        `ScopeAttributeImpl`, `DecisiontablePackageImpl.getScopeAttribute()`

    - #### SCOPE_ATTRIBUTE__EATTRIBUTE

          static final org.eclipse.emf.ecore.EReference SCOPE_ATTRIBUTE__EATTRIBUTE

      The meta object literal for the 'EAttribute' reference feature.

    - #### SCOPE_ATTRIBUTE__REFERENCED_ATTRIBUTE

          static final org.eclipse.emf.ecore.EReference SCOPE_ATTRIBUTE__REFERENCED_ATTRIBUTE

      The meta object literal for the 'Referenced Attribute' reference feature.

    - #### SCOPE_ENTITY

          static final org.eclipse.emf.ecore.EClass SCOPE_ENTITY

      The meta object literal for the '`Scope Entity`' class.
      See Also:
        `ScopeEntityImpl`, `DecisiontablePackageImpl.getScopeEntity()`

    - #### SCOPE_FOLDER

          static final org.eclipse.emf.ecore.EClass SCOPE_FOLDER

      The meta object literal for the '`Scope Folder`' class.
      See Also:
        `ScopeFolderImpl`, `DecisiontablePackageImpl.getScopeFolder()`

    - #### SCOPE_NODE

          static final org.eclipse.emf.ecore.EClass SCOPE_NODE

      The meta object literal for the '`Scope Node`' class.
      See Also:
        `ScopeNodeImpl`, `DecisiontablePackageImpl.getScopeNode()`

    - #### SCOPE_NODE__NAME

          static final org.eclipse.emf.ecore.EAttribute SCOPE_NODE__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### SCOPE_NODE__DESCENDENT

          static final org.eclipse.emf.ecore.EAttribute SCOPE_NODE__DESCENDENT

      The meta object literal for the 'Descendent' attribute feature.

    - #### SCOPE_NODE__BACKUP_INFO

          static final org.eclipse.emf.ecore.EAttribute SCOPE_NODE__BACKUP_INFO

      The meta object literal for the 'Backup Info' attribute list feature.

    - #### SCOPE_NODE__EXPANDED

          static final org.eclipse.emf.ecore.EAttribute SCOPE_NODE__EXPANDED

      The meta object literal for the 'Expanded' attribute feature.

    - #### SCOPE_NODE__PARENT

          static final org.eclipse.emf.ecore.EReference SCOPE_NODE__PARENT

      The meta object literal for the 'Parent' container reference feature.

    - #### SCOPE_NODE__CHILDREN

          static final org.eclipse.emf.ecore.EReference SCOPE_NODE__CHILDREN

      The meta object literal for the 'Children' containment reference list feature.

    - #### SCOPE_FILTER

          static final org.eclipse.emf.ecore.EClass SCOPE_FILTER

      The meta object literal for the '`Scope Filter`' class.
      See Also:
        `ScopeFilterImpl`, `DecisiontablePackageImpl.getScopeFilter()`

    - #### SCOPE_FILTER__EXPRESSION

          static final org.eclipse.emf.ecore.EAttribute SCOPE_FILTER__EXPRESSION

      The meta object literal for the 'Expression' attribute feature.

    - #### SCOPE_FILTER__FILTER

          static final org.eclipse.emf.ecore.EReference SCOPE_FILTER__FILTER

      The meta object literal for the 'Filter' reference feature.

    - #### SCOPE_SECTION

          static final org.eclipse.emf.ecore.EClass SCOPE_SECTION

      The meta object literal for the '`Scope Section`' class.
      See Also:
        `ScopeSectionImpl`, `DecisiontablePackageImpl.getScopeSection()`

    - #### SCOPE_SECTION__ROOT_NODE

          static final org.eclipse.emf.ecore.EReference SCOPE_SECTION__ROOT_NODE

      The meta object literal for the 'Root Node' containment reference feature.

    - #### FILTER_ITEM

          static final org.eclipse.emf.ecore.EClass FILTER_ITEM

      The meta object literal for the '`Filter Item`' class.
      See Also:
        `FilterItemImpl`, `DecisiontablePackageImpl.getFilterItem()`

    - #### FILTER_ITEM__DISABLED

          static final org.eclipse.emf.ecore.EAttribute FILTER_ITEM__DISABLED

      The meta object literal for the 'Disabled' attribute feature.

    - #### FILTER_ITEM__EXPRESSION_CELL

          static final org.eclipse.emf.ecore.EReference FILTER_ITEM__EXPRESSION_CELL

      The meta object literal for the 'Expression Cell' containment reference feature.

    - #### FILTER_ITEM__FILTER

          static final org.eclipse.emf.ecore.EReference FILTER_ITEM__FILTER

      The meta object literal for the 'Filter' reference feature.

    - #### FILTER_SECTION

          static final org.eclipse.emf.ecore.EClass FILTER_SECTION

      The meta object literal for the '`Filter Section`' class.
      See Also:
        `FilterSectionImpl`, `DecisiontablePackageImpl.getFilterSection()`

    - #### FILTER_SECTION__ROW_COUNT

          static final org.eclipse.emf.ecore.EAttribute FILTER_SECTION__ROW_COUNT

      The meta object literal for the 'Row Count' attribute feature.

    - #### FILTER_SECTION__SCROLL_ROW_TOP

          static final org.eclipse.emf.ecore.EAttribute FILTER_SECTION__SCROLL_ROW_TOP

      The meta object literal for the 'Scroll Row Top' attribute feature.

    - #### FILTER_SECTION__FILTER_ITEM_LIST

          static final org.eclipse.emf.ecore.EReference FILTER_SECTION__FILTER_ITEM_LIST

      The meta object literal for the 'Filter Item List' containment reference list feature.

    - #### RULE_COLUMN

          static final org.eclipse.emf.ecore.EClass RULE_COLUMN

      The meta object literal for the '`Rule Column`' class.
      See Also:
        `RuleColumnImpl`, `DecisiontablePackageImpl.getRuleColumn()`

    - #### RULE_COLUMN__RULE_ID

          static final org.eclipse.emf.ecore.EAttribute RULE_COLUMN__RULE_ID

      The meta object literal for the 'Rule Id' attribute feature.

    - #### RULE_COLUMN__COLUMN_WIDTH

          static final org.eclipse.emf.ecore.EAttribute RULE_COLUMN__COLUMN_WIDTH

      The meta object literal for the 'Column Width' attribute feature.

    - #### RULE_COLUMN__NON_CONDITIONAL

          static final org.eclipse.emf.ecore.EAttribute RULE_COLUMN__NON_CONDITIONAL

      The meta object literal for the 'Non Conditional' attribute feature.

    - #### RULE_COLUMN__DISABLED

          static final org.eclipse.emf.ecore.EAttribute RULE_COLUMN__DISABLED

      The meta object literal for the 'Disabled' attribute feature.

    - #### RULE_COLUMN__OVERRIDE_VALUE_SET_CELL

          static final org.eclipse.emf.ecore.EReference RULE_COLUMN__OVERRIDE_VALUE_SET_CELL

      The meta object literal for the 'Override Value Set Cell' containment reference feature.

    - #### RULE_COLUMN__PRULE

          static final org.eclipse.emf.ecore.EReference RULE_COLUMN__PRULE

      The meta object literal for the 'PRule' reference list feature.

    - #### RULE_COLUMN__ACTION_VALUE_SET_CELL_LIST

          static final org.eclipse.emf.ecore.EReference RULE_COLUMN__ACTION_VALUE_SET_CELL_LIST

      The meta object literal for the 'Action Value Set Cell List' containment reference list feature.

    - #### RULE_COLUMN__CONDITION_VALUE_SET_CELL_LIST

          static final org.eclipse.emf.ecore.EReference RULE_COLUMN__CONDITION_VALUE_SET_CELL_LIST

      The meta object literal for the 'Condition Value Set Cell List' containment reference list feature.

    - #### RULE_SECTION

          static final org.eclipse.emf.ecore.EClass RULE_SECTION

      The meta object literal for the '`Rule Section`' class.
      See Also:
        `RuleSectionImpl`, `DecisiontablePackageImpl.getRuleSection()`

    - #### RULE_SECTION__COLUMN_COUNT

          static final org.eclipse.emf.ecore.EAttribute RULE_SECTION__COLUMN_COUNT

      The meta object literal for the 'Column Count' attribute feature.

    - #### RULE_SECTION__SCROLL_COLUMN_LEFT

          static final org.eclipse.emf.ecore.EAttribute RULE_SECTION__SCROLL_COLUMN_LEFT

      The meta object literal for the 'Scroll Column Left' attribute feature.

    - #### RULE_SECTION__RULE_COLUMN_LIST

          static final org.eclipse.emf.ecore.EReference RULE_SECTION__RULE_COLUMN_LIST

      The meta object literal for the 'Rule Column List' containment reference list feature.

    - #### RULE_SECTION__OPTIMIZER_RESULTS

          static final org.eclipse.emf.ecore.EReference RULE_SECTION__OPTIMIZER_RESULTS

      The meta object literal for the 'Optimizer Results' containment reference feature.

    - #### DECISION_TABLE

          static final org.eclipse.emf.ecore.EClass DECISION_TABLE

      The meta object literal for the '`Decision Table`' class.
      See Also:
        `DecisionTableImpl`, `DecisiontablePackageImpl.getDecisionTable()`

    - #### DECISION_TABLE__NAME

          static final org.eclipse.emf.ecore.EAttribute DECISION_TABLE__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### DECISION_TABLE__SELECTION

          static final org.eclipse.emf.ecore.EAttribute DECISION_TABLE__SELECTION

      The meta object literal for the 'Selection' attribute feature.

    - #### DECISION_TABLE__ADVANCED

          static final org.eclipse.emf.ecore.EAttribute DECISION_TABLE__ADVANCED

      The meta object literal for the 'Advanced' attribute feature.

    - #### DECISION_TABLE__SASH_WEIGHT_ADVANCED_VIEW

          static final org.eclipse.emf.ecore.EAttribute DECISION_TABLE__SASH_WEIGHT_ADVANCED_VIEW

      The meta object literal for the 'Sash Weight Advanced View' attribute feature.

    - #### DECISION_TABLE__SASH_WEIGHT_SCOPE

          static final org.eclipse.emf.ecore.EAttribute DECISION_TABLE__SASH_WEIGHT_SCOPE

      The meta object literal for the 'Sash Weight Scope' attribute feature.

    - #### DECISION_TABLE__SASH_WEIGHT_CONDITIONS_ACTIONS

          static final org.eclipse.emf.ecore.EAttribute DECISION_TABLE__SASH_WEIGHT_CONDITIONS_ACTIONS

      The meta object literal for the 'Sash Weight Conditions Actions' attribute feature.

    - #### DECISION_TABLE__SASH_WEIGHT_CONDITIONS_IF

          static final org.eclipse.emf.ecore.EAttribute DECISION_TABLE__SASH_WEIGHT_CONDITIONS_IF

      The meta object literal for the 'Sash Weight Conditions If' attribute feature.

    - #### DECISION_TABLE__NATURAL_LANGUAGE_DISPLAY

          static final org.eclipse.emf.ecore.EAttribute DECISION_TABLE__NATURAL_LANGUAGE_DISPLAY

      The meta object literal for the 'Natural Language Display' attribute feature.

    - #### DECISION_TABLE__ACTION_SECTION

          static final org.eclipse.emf.ecore.EReference DECISION_TABLE__ACTION_SECTION

      The meta object literal for the 'Action Section' containment reference feature.

    - #### DECISION_TABLE__SCOPE_SECTION

          static final org.eclipse.emf.ecore.EReference DECISION_TABLE__SCOPE_SECTION

      The meta object literal for the 'Scope Section' containment reference feature.

    - #### DECISION_TABLE__FILTER_SECTION

          static final org.eclipse.emf.ecore.EReference DECISION_TABLE__FILTER_SECTION

      The meta object literal for the 'Filter Section' containment reference feature.

    - #### DECISION_TABLE__RULE_STATEMENT_SECTION

          static final org.eclipse.emf.ecore.EReference DECISION_TABLE__RULE_STATEMENT_SECTION

      The meta object literal for the 'Rule Statement Section' containment reference feature.

    - #### DECISION_TABLE__CONDITION_SECTION

          static final org.eclipse.emf.ecore.EReference DECISION_TABLE__CONDITION_SECTION

      The meta object literal for the 'Condition Section' containment reference feature.

    - #### DECISION_TABLE__RULE_SECTION

          static final org.eclipse.emf.ecore.EReference DECISION_TABLE__RULE_SECTION

      The meta object literal for the 'Rule Section' containment reference feature.

    - #### DECISION_TABLE__PRULESET

          static final org.eclipse.emf.ecore.EReference DECISION_TABLE__PRULESET

      The meta object literal for the 'PRuleset' reference feature.

    - #### RULE_STATEMENT_ITEM

          static final org.eclipse.emf.ecore.EClass RULE_STATEMENT_ITEM

      The meta object literal for the '`Rule Statement Item`' class.
      See Also:
        `RuleStatementItemImpl`, `DecisiontablePackageImpl.getRuleStatementItem()`

    - #### RULE_STATEMENT_ITEM__REFERENCE

          static final org.eclipse.emf.ecore.EReference RULE_STATEMENT_ITEM__REFERENCE

      The meta object literal for the 'Reference' containment reference feature.

    - #### RULE_STATEMENT_ITEM__TEXT

          static final org.eclipse.emf.ecore.EReference RULE_STATEMENT_ITEM__TEXT

      The meta object literal for the 'Text' containment reference list feature.

    - #### RULE_STATEMENT_ITEM__DISABLED

          static final org.eclipse.emf.ecore.EAttribute RULE_STATEMENT_ITEM__DISABLED

      The meta object literal for the 'Disabled' attribute feature.

    - #### RULE_STATEMENT_ITEM__ROW_HEIGHT

          static final org.eclipse.emf.ecore.EAttribute RULE_STATEMENT_ITEM__ROW_HEIGHT

      The meta object literal for the 'Row Height' attribute feature.

    - #### RULE_STATEMENT_ITEM__RULE_STATEMENT

          static final org.eclipse.emf.ecore.EReference RULE_STATEMENT_ITEM__RULE_STATEMENT

      The meta object literal for the 'Rule Statement' reference feature.

    - #### RULE_STATEMENT_SECTION

          static final org.eclipse.emf.ecore.EClass RULE_STATEMENT_SECTION

      The meta object literal for the '`Rule Statement Section`' class.
      See Also:
        `RuleStatementSectionImpl`, `DecisiontablePackageImpl.getRuleStatementSection()`

    - #### RULE_STATEMENT_SECTION__ROW_COUNT

          static final org.eclipse.emf.ecore.EAttribute RULE_STATEMENT_SECTION__ROW_COUNT

      The meta object literal for the 'Row Count' attribute feature.

    - #### RULE_STATEMENT_SECTION__SCROLL_ROW_TOP

          static final org.eclipse.emf.ecore.EAttribute RULE_STATEMENT_SECTION__SCROLL_ROW_TOP

      The meta object literal for the 'Scroll Row Top' attribute feature.

    - #### RULE_STATEMENT_SECTION__COLUMN_WIDTH_REFERENCE

          static final org.eclipse.emf.ecore.EAttribute RULE_STATEMENT_SECTION__COLUMN_WIDTH_REFERENCE

      The meta object literal for the 'Column Width Reference' attribute feature.

    - #### RULE_STATEMENT_SECTION__COLUMN_WIDTH_POST_SEVERITY

          static final org.eclipse.emf.ecore.EAttribute RULE_STATEMENT_SECTION__COLUMN_WIDTH_POST_SEVERITY

      The meta object literal for the 'Column Width Post Severity' attribute feature.

    - #### RULE_STATEMENT_SECTION__COLUMN_WIDTH_ALIAS

          static final org.eclipse.emf.ecore.EAttribute RULE_STATEMENT_SECTION__COLUMN_WIDTH_ALIAS

      The meta object literal for the 'Column Width Alias' attribute feature.

    - #### RULE_STATEMENT_SECTION__COLUMN_WIDTH_ID

          static final org.eclipse.emf.ecore.EAttribute RULE_STATEMENT_SECTION__COLUMN_WIDTH_ID

      The meta object literal for the 'Column Width ID' attribute feature.

    - #### RULE_STATEMENT_SECTION__COLUMN_WIDTH_TEXT

          static final org.eclipse.emf.ecore.EAttribute RULE_STATEMENT_SECTION__COLUMN_WIDTH_TEXT

      The meta object literal for the 'Column Width Text' attribute feature.

    - #### RULE_STATEMENT_SECTION__COLUMN_WIDTH_RULE_NAME

          static final org.eclipse.emf.ecore.EAttribute RULE_STATEMENT_SECTION__COLUMN_WIDTH_RULE_NAME

      The meta object literal for the 'Column Width Rule Name' attribute feature.

    - #### RULE_STATEMENT_SECTION__COLUMN_WIDTH_RULE_LINK

          static final org.eclipse.emf.ecore.EAttribute RULE_STATEMENT_SECTION__COLUMN_WIDTH_RULE_LINK

      The meta object literal for the 'Column Width Rule Link' attribute feature.

    - #### RULE_STATEMENT_SECTION__COLUMN_WIDTH_SOURCE_NAME

          static final org.eclipse.emf.ecore.EAttribute RULE_STATEMENT_SECTION__COLUMN_WIDTH_SOURCE_NAME

      The meta object literal for the 'Column Width Source Name' attribute feature.

    - #### RULE_STATEMENT_SECTION__COLUMN_WIDTH_SOURCE_LINK

          static final org.eclipse.emf.ecore.EAttribute RULE_STATEMENT_SECTION__COLUMN_WIDTH_SOURCE_LINK

      The meta object literal for the 'Column Width Source Link' attribute feature.

    - #### RULE_STATEMENT_SECTION__COLUMN_WIDTH_CATEGORY

          static final org.eclipse.emf.ecore.EAttribute RULE_STATEMENT_SECTION__COLUMN_WIDTH_CATEGORY

      The meta object literal for the 'Column Width Category' attribute feature.

    - #### RULE_STATEMENT_SECTION__COLUMN_WIDTH_COMMENTS

          static final org.eclipse.emf.ecore.EAttribute RULE_STATEMENT_SECTION__COLUMN_WIDTH_COMMENTS

      The meta object literal for the 'Column Width Comments' attribute feature.

    - #### RULE_STATEMENT_SECTION__RULE_STATEMENT_ITEM_LIST

          static final org.eclipse.emf.ecore.EReference RULE_STATEMENT_SECTION__RULE_STATEMENT_ITEM_LIST

      The meta object literal for the 'Rule Statement Item List' containment reference list feature.

    - #### VALUE_SET_CELL

          static final org.eclipse.emf.ecore.EClass VALUE_SET_CELL

      The meta object literal for the '`Value Set Cell`' class.
      See Also:
        `ValueSetCellImpl`, `DecisiontablePackageImpl.getValueSetCell()`

    - #### VALUE_SET_CELL__VALUE_SET

          static final org.eclipse.emf.ecore.EAttribute VALUE_SET_CELL__VALUE_SET

      The meta object literal for the 'Value Set' attribute feature.

    - #### SCOPE_ALIAS

          static final org.eclipse.emf.ecore.EClass SCOPE_ALIAS

      The meta object literal for the '`Scope Alias`' class.
      See Also:
        `ScopeAliasImpl`, `DecisiontablePackageImpl.getScopeAlias()`

    - #### SCOPE_ALIAS__ALIAS

          static final org.eclipse.emf.ecore.EAttribute SCOPE_ALIAS__ALIAS

      The meta object literal for the 'Alias' attribute feature.

    - #### SCOPE_ALIAS__LOGICAL_VARIABLE

          static final org.eclipse.emf.ecore.EReference SCOPE_ALIAS__LOGICAL_VARIABLE

      The meta object literal for the 'Logical Variable' reference feature.

    - #### CONDITION_VALUE_SET_CELL

          static final org.eclipse.emf.ecore.EClass CONDITION_VALUE_SET_CELL

      The meta object literal for the '`Condition Value Set Cell`' class.
      See Also:
        `ConditionValueSetCellImpl`, `DecisiontablePackageImpl.getConditionValueSetCell()`

    - #### CONDITION_VALUE_SET_CELL__CONDITION

          static final org.eclipse.emf.ecore.EReference CONDITION_VALUE_SET_CELL__CONDITION

      The meta object literal for the 'Condition' reference feature.

    - #### ACTION_VALUE_SET_CELL

          static final org.eclipse.emf.ecore.EClass ACTION_VALUE_SET_CELL

      The meta object literal for the '`Action Value Set Cell`' class.
      See Also:
        `ActionValueSetCellImpl`, `DecisiontablePackageImpl.getActionValueSetCell()`

    - #### ACTION_VALUE_SET_CELL__ACTION

          static final org.eclipse.emf.ecore.EReference ACTION_VALUE_SET_CELL__ACTION

      The meta object literal for the 'Action' reference feature.

    - #### OPTIMIZER_RESULTS

          static final org.eclipse.emf.ecore.EClass OPTIMIZER_RESULTS

      The meta object literal for the '`Optimizer Results`' class.
      See Also:
        `OptimizerResultsImpl`, `DecisiontablePackageImpl.getOptimizerResults()`

    - #### OPTIMIZER_RESULTS__AMBIGUITY_INDEX

          static final org.eclipse.emf.ecore.EAttribute OPTIMIZER_RESULTS__AMBIGUITY_INDEX

      The meta object literal for the 'Ambiguity Index' attribute feature.

    - #### OPTIMIZER_RESULTS__AMBIGUITY_FILTER

          static final org.eclipse.emf.ecore.EAttribute OPTIMIZER_RESULTS__AMBIGUITY_FILTER

      The meta object literal for the 'Ambiguity Filter' attribute feature.

    - #### OPTIMIZER_RESULTS__AMBIGUITY_LIST

          static final org.eclipse.emf.ecore.EReference OPTIMIZER_RESULTS__AMBIGUITY_LIST

      The meta object literal for the 'Ambiguity List' containment reference list feature.

    - #### OPTIMIZER_RESULTS__COMPLETENESS_CHECK_RULE_COLUMNS

          static final org.eclipse.emf.ecore.EReference OPTIMIZER_RESULTS__COMPLETENESS_CHECK_RULE_COLUMNS

      The meta object literal for the 'Completeness Check Rule Columns' reference list feature.

    - #### AMBIGUITY

          static final org.eclipse.emf.ecore.EClass AMBIGUITY

      The meta object literal for the '`Ambiguity`' class.
      See Also:
        `AmbiguityImpl`, `DecisiontablePackageImpl.getAmbiguity()`

    - #### AMBIGUITY__AMBIGUOUS_RULE_COLUMNS

          static final org.eclipse.emf.ecore.EReference AMBIGUITY__AMBIGUOUS_RULE_COLUMNS

      The meta object literal for the 'Ambiguous Rule Columns' reference list feature.

    - #### SCOPE_SORTED_ALIAS

          static final org.eclipse.emf.ecore.EClass SCOPE_SORTED_ALIAS

      The meta object literal for the '`Scope Sorted Alias`' class.
      See Also:
        `ScopeSortedAliasImpl`, `DecisiontablePackageImpl.getScopeSortedAlias()`

    - #### SCOPE_SORTED_ALIAS__OPERATOR_ID

          static final org.eclipse.emf.ecore.EAttribute SCOPE_SORTED_ALIAS__OPERATOR_ID

      The meta object literal for the 'Operator ID' attribute feature.

    - #### VARIABLE_MODE

          static final org.eclipse.emf.ecore.EEnum VARIABLE_MODE

      The meta object literal for the '`Variable Mode`' enum.
      See Also:
        `VariableMode`, `DecisiontablePackageImpl.getVariableMode()`

    - #### SELECTION

          static final org.eclipse.emf.ecore.EDataType SELECTION

      The meta object literal for the 'Selection' data type.
      See Also:
        `Selection`, `DecisiontablePackageImpl.getSelection()`

    - #### VALUE_SET

          static final org.eclipse.emf.ecore.EDataType VALUE_SET

      The meta object literal for the 'Value Set' data type.
      See Also:
        `ValueSet`, `DecisiontablePackageImpl.getValueSet()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.